use super::Error;
use symphonia::core::errors::Error as SymError;

fn generic_map_error(action: &str, error: SymError) -> Error {
    Error::from_text(format!("symphonia error: {} during {}", error, action))
}

pub fn probe(error: SymError) -> Error {
    generic_map_error("probing of input", error)
}

pub fn decoder(error: SymError) -> Error {
    generic_map_error("finding codec", error)
}

pub fn next_packet(error: SymError) -> Error {
    generic_map_error("getting next raw packet", error)
}

pub fn decode(error: SymError) -> Error {
    generic_map_error("decoding of raw packet", error)
}

pub fn find_track() -> Error {
    Error::from_str("symphonia error: No audio track located")
}